I am testing my Zimbra upgrade scenario. So far, I am in the stage to have a running 8.0.0 zimbra on a fresh installed Ubuntu 10.4. I upgraded Ubuntu 10.4 to 12.4 which seemed to be fine. As the next step, I planned to run the install script for zimbra 8.0.0 from the ubuntu12 package. The installer aborts with a perl symbol lookup error. The following part is from the output of the zimbra 8 installer:

Code:
Checking for prerequisites...
     FOUND: NPTL
     FOUND: netcat-openbsd-1.89-4ubuntu1
     FOUND: sudo-1.8.3p1-1ubuntu3.3
     FOUND: libidn11-1.23-2
     FOUND: libpcre3-8.12-4
     FOUND: libgmp3c2-2:4.3.2+dfsg-2ubuntu1
     FOUND: libexpat1-2.0.1-7.2ubuntu1.1
     FOUND: libstdc++6-4.6.3-1ubuntu5
     FOUND: libperl5.14-5.14.2-6ubuntu2.1

Checking for suggested prerequisites...
     FOUND: perl-5.14.2
     FOUND: sysstat
     FOUND: sqlite3
Prerequisite check complete.
Checking current number of databases...

Do you want to verify message store database integrity? [Y] 
Verifying integrity of message store databases.  This may take a while.
Starting mysqld...done.
mysqld is alive
perl: symbol lookup error: /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Socket/Socket.so: undefined symbol: Perl_Istack_sp_ptr
mysqld is alive
Stopping mysqld... done.
Did anyone run into the same issue?